Bug 825156 - cannot save snapshot by CLI
cannot save snapshot by CLI
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 05:09 EDT by Meng Bo
Modified: 2015-05-14 21:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhc-0.93.11-1+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:58:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-05-25 05:09:41 EDT
Description of problem:
cannot take snapshot by both 'rhc app snapshot' and 'rhc-snapshot' commands.

Version-Release number of selected component (if applicable):
rhc-0.93.11

How reproducible:
always

Steps to Reproduce:
1.create app 
2.try to take snapshot via rhc client
3.
  
Actual results:
[bmeng@localhost ~]$ rhc app snapshot save -a php1 -f ./test.tar.gz
Password: 

Pulling down a snapshot to ./test.tar.gz...

/usr/lib/ruby/gems/1.8/gems/rhc-0.93.11/lib/rhc-common.rb:793: warning: File::new() does not take block; use File::open() instead


Expected results:
snapshot has been saved successfully.

Additional info:
snapshot can be taken by ssh directly.

ssh 2665d4d02f1a4d62af9ca849276d372e@php1-bmengdev.dev.rhcloud.com 'snapshot' > php1.tar.gz
Comment 1 Fabiano Franz 2012-05-25 16:55:09 EDT
Fixed.
Comment 2 Meng Bo 2012-05-28 05:44:42 EDT
verified on devenv_1806, issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.